org.eclipse.graphiti.internal.features.context.impl.base

## Class PictogramElementsContext

- java.lang.Object
- - org.eclipse.graphiti.PropertyBag
  - - org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
    - - org.eclipse.graphiti.internal.features.context.impl.base.PictogramElementsContext

All Implemented Interfaces:
  IContext, IPictogramElementsContext, IPropertyBag

Direct Known Subclasses:
  CopyContext, PasteContext

    public class PictogramElementsContext
    extends DefaultContext
    implements IPictogramElementsContext

The Class PictogramElementsContext.

### Constructor Summary

Constructors
Constructor and Description
`PictogramElementsContext()` Instantiates a new pictogram elements context.
`PictogramElementsContext(PictogramElement[] pictogramElements)` The Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`PictogramElement[]` `getPictogramElements()` Gets the pictogram elements.
`void` `setPictogramElements(PictogramElement[] pictogramElements)` Sets the pictogram elements.
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Constructor Detail

#### PictogramElementsContext

    public PictogramElementsContext(PictogramElement[] pictogramElements)

The Constructor.

Parameters:
  `pictogramElements` - the pictogram elements

#### PictogramElementsContext

    public PictogramElementsContext()

Instantiates a new pictogram elements context.

### Method Detail

#### getPictogramElements

    public PictogramElement[] getPictogramElements()

Description copied from interface: `IPictogramElementsContext`
Gets the pictogram elements.

Specified by:
  `getPictogramElements` in interface `IPictogramElementsContext`
Returns:
  the pictogram elements

#### setPictogramElements

    public void setPictogramElements(PictogramElement[] pictogramElements)

Sets the pictogram elements.

Specified by:
  `setPictogramElements` in interface `IPictogramElementsContext`
Parameters:
  `pictogramElements` - the pictogram elements

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `DefaultContext`